Local market listings (POST body)
curl --request POST \
--url https://api.app.hrizn.io/v1/public/market/local-listings \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"year_min": 2040,
"year_max": 2040,
"zip": "<string>",
"state": "<string>",
"radius_miles": 250,
"sample_size": 5,
"price_min": 1,
"price_max": 1,
"miles_min": 1,
"miles_max": 1
}
'import requests
url = "https://api.app.hrizn.io/v1/public/market/local-listings"
payload = {
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"year_min": 2040,
"year_max": 2040,
"zip": "<string>",
"state": "<string>",
"radius_miles": 250,
"sample_size": 5,
"price_min": 1,
"price_max": 1,
"miles_min": 1,
"miles_max": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
make: '<string>',
model: '<string>',
trim: '<string>',
year_min: 2040,
year_max: 2040,
zip: '<string>',
state: '<string>',
radius_miles: 250,
sample_size: 5,
price_min: 1,
price_max: 1,
miles_min: 1,
miles_max: 1
})
};
fetch('https://api.app.hrizn.io/v1/public/market/local-listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
make: '<string>',
model: '<string>',
trim: '<string>',
year_min: 2040,
year_max: 2040,
zip: '<string>',
state: '<string>',
radius_miles: 250,
sample_size: 5,
price_min: 1,
price_max: 1,
miles_min: 1,
miles_max: 1
})
};
fetch('https://api.app.hrizn.io/v1/public/market/local-listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/market/local-listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'make' => '<string>',
'model' => '<string>',
'trim' => '<string>',
'year_min' => 2040,
'year_max' => 2040,
'zip' => '<string>',
'state' => '<string>',
'radius_miles' => 250,
'sample_size' => 5,
'price_min' => 1,
'price_max' => 1,
'miles_min' => 1,
'miles_max' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {}
}
Local market listings (POST body)
Same as GET /market/local-listings with a JSON body.
POST
/
market
/
local-listings
Local market listings (POST body)
Authorizations
Your Hrizn API key (prefix hzk_)
Body
application/json
Required range:
1980 <= x <= 2100Required range:
1980 <= x <= 2100Available options:
new, used, certified Required string length:
3 - 12Required string length:
2Required range:
1 <= x <= 500Required range:
1 <= x <= 10Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Local market listing summary
Live market payload (shape varies by endpoint)
Last modified on July 26, 2026
⌘I
